Bug 843618 - Password to the login command must be entered in plain text
Password to the login command must be entered in plain text
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 38
Assigned To: Jay Dobies
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 14:45 EDT by Jay Dobies
Modified: 2013-01-07 09:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 09:12:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2012-07-26 14:45:40 EDT
Need to port over the interactive prompt for both:

pulp-admin -u admin

and

pulp-admin login -u admin
Comment 1 Jay Dobies 2012-07-26 14:49:42 EDT
commit bbea11bf01ab5d4624befcab8973ce2d7899952e
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Thu Jul 26 14:48:59 2012 -0400

    843618 - Added interactive prompt when the password isn't specified

builtins/extensions/admin/pulp_admin_auth/pulp_cli.py
platform/src/pulp/client/extensions/core.py
platform/src/pulp/client/launcher.py
Comment 2 Jeff Ortel 2012-08-02 09:48:22 EDT
build: 0.320.
Comment 3 Preethi Thomas 2012-08-15 15:21:14 EDT
verified

[root@pulp-master ~]# rpm -q pulp-server
pulp-server-0.0.323-1.fc17.noarch
[root@pulp-master ~]# 


[root@pulp-master ~]# pulp-admin -u admin repo list
Enter password: 
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 pulp-rhel6
Display Name:       pulp-rhel6
Description:        None
Content Unit Count: 35
Notes:              


[root@pulp-master ~]#
Comment 4 Preethi Thomas 2013-01-07 09:12:13 EST
Pulp 2.0 released.

Note You need to log in before you can comment on or make changes to this bug.